#include <iostream>
#include <unistd.h>
#include <string>
#include <cmath>
#include <map>

using namespace std;

#include "v6.h"

#define rate    8000
#define bufsize 350

static float n[V6_COLS];

int main()
{
	string s;
	
	while(cin)
	{
		getline(cin, s);
		
		if(s[0]!='|')continue;
		
		float p = V6_MINHERZ;
		
		map<float,float> M;
		
		for(const char *t = 1+s.c_str(); *t!='|'; t++)
		{
			M[p] = (*t-'A') * (127.0 / 25.0 / V6_COLS) * 7.0;
			p *= V6_NUMBASE;
			p += V6_ADD;
		}
		
		char buf[bufsize];
		
		map<float,float>::iterator i;
		
		int a, c;
		
		for(int f=0; f<2; f++)
		{
			for(a=0; a<bufsize; a++)buf[a] = -0x80;
			for(c=0, i=M.begin(); i!=M.end(); i++, c++)
			{
				float d = (M_PI*2) * i->first / rate;
				for(a=0; a<bufsize; a++)
					buf[a] += char(i->second * sin(n[c] += d));
			}
			write(1, buf, bufsize);
		}
	}
	
	return 0;
}
